---
updatedAt: 2026-06-29T03:06:08.000Z
---

Fetch the complete documentation index at: https://developers.fellow.ai/llms.txt. Use this file to discover all available pages before exploring further. Append .md to any documentation page URL to get its markdown version.

# List Action Items

List action items with optional filters and pagination.
Privileged access allows you to get action items for the account.
Non-privileged access allows you to get action items for the authenticated user only.

The `scope` filter controls which action items are returned:
- (no scope - default): All action items the user has access to
- assigned_to_me: Only action items assigned to the authenticated user
- assigned_to_others: Only action items the user can edit, assigned to teammates

# OpenAPI definition

```json
{
  "openapi": "3.1.0",
  "info": {
    "title": "Fellow Developer API",
    "version": "1.0.2",
    "description": "Create custom integrations and workflows with Fellow's meeting data"
  },
  "paths": {
    "/api/v1/action_items": {
      "post": {
        "operationId": "apps_developer_api_api_get_action_items",
        "summary": "List Action Items",
        "parameters": [],
        "responses": {
          "200": {
            "description": "OK",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ActionItemsListResponse"
                }
              }
            }
          }
        },
        "description": "List action items with optional filters and pagination.\nPrivileged access allows you to get action items for the account.\nNon-privileged access allows you to get action items for the authenticated user only.\n\nThe `scope` filter controls which action items are returned:\n- (no scope - default): All action items the user has access to\n- assigned_to_me: Only action items assigned to the authenticated user\n- assigned_to_others: Only action items the user can edit, assigned to teammates",
        "tags": [
          "Action Items"
        ],
        "requestBody": {
          "content": {
            "application/json": {
              "schema": {
                "$ref": "#/components/schemas/GetActionItemsRequest"
              }
            }
          },
          "required": true
        },
        "security": [
          {
            "DeveloperAPIKeyAuth": []
          }
        ]
      }
    }
  },
  "components": {
    "schemas": {
      "ActionItemAssignee": {
        "description": "Represents an assignee of an action item.",
        "properties": {
          "id": {
            "title": "Id",
            "type": "string"
          },
          "full_name": {
            "title": "Full Name",
            "type": "string"
          },
          "email": {
            "title": "Email",
            "type": "string"
          }
        },
        "required": [
          "id",
          "full_name",
          "email"
        ],
        "title": "ActionItemAssignee",
        "type": "object"
      },
      "ActionItemStatus": {
        "enum": [
          "Done",
          "Archived",
          "Incomplete"
        ],
        "title": "ActionItemStatus",
        "type": "string"
      },
      "PageInfo": {
        "description": "Information about a page returned in a paginated response.",
        "properties": {
          "cursor": {
            "title": "Cursor",
            "type": [
              "string",
              "null"
            ]
          },
          "page_size": {
            "title": "Page Size",
            "type": "integer"
          }
        },
        "required": [
          "page_size"
        ],
        "title": "PageInfo",
        "type": "object"
      },
      "PaginatedRequestParams": {
        "description": "Parameters sent in a request to paginate a queryset.",
        "properties": {
          "cursor": {
            "title": "Cursor",
            "type": [
              "string",
              "null"
            ]
          },
          "page_size": {
            "default": 20,
            "exclusiveMinimum": 0,
            "maximum": 50,
            "minimum": 1,
            "title": "Page Size",
            "type": "integer"
          }
        },
        "title": "PaginatedRequestParams",
        "type": "object"
      },
      "ActionItem": {
        "description": "API model for action items. Action items are stored as NoteBlock objects with type='todo'.",
        "properties": {
          "id": {
            "title": "Id",
            "type": "string"
          },
          "text": {
            "title": "Text",
            "type": "string"
          },
          "status": {
            "allOf": [
              {
                "$ref": "#/components/schemas/ActionItemStatus"
              }
            ]
          },
          "created_at": {
            "format": "date-time",
            "title": "Created At",
            "type": "string"
          },
          "updated_at": {
            "format": "date-time",
            "title": "Updated At",
            "type": "string"
          },
          "due_date": {
            "title": "Due Date",
            "type": [
              "string",
              "null"
            ]
          },
          "note_id": {
            "title": "Note Id",
            "type": [
              "string",
              "null"
            ]
          },
          "assignees": {
            "items": {
              "$ref": "#/components/schemas/ActionItemAssignee"
            },
            "title": "Assignees",
            "type": "array"
          },
          "completion_type": {
            "enum": [
              "all",
              "any"
            ],
            "title": "Completion Type",
            "type": "string"
          },
          "ai_detected": {
            "title": "Ai Detected",
            "type": "boolean"
          },
          "recording_offset": {
            "title": "Recording Offset",
            "type": [
              "number",
              "null"
            ]
          },
          "ai_suggestion_accepted_by_user": {
            "title": "Ai Suggestion Accepted By User",
            "type": "boolean"
          }
        },
        "title": "ActionItem",
        "type": "object"
      },
      "ActionItemsListResponse": {
        "description": "Response containing a paginated list of action items.",
        "properties": {
          "action_items": {
            "$ref": "#/components/schemas/PaginatedResponse_ActionItem_"
          }
        },
        "required": [
          "action_items"
        ],
        "title": "ActionItemsListResponse",
        "type": "object"
      },
      "PaginatedResponse_ActionItem_": {
        "properties": {
          "page_info": {
            "$ref": "#/components/schemas/PageInfo"
          },
          "data": {
            "items": {
              "$ref": "#/components/schemas/ActionItem"
            },
            "title": "Data",
            "type": "array"
          }
        },
        "required": [
          "page_info",
          "data"
        ],
        "title": "PaginatedResponse[ActionItem]",
        "type": "object"
      },
      "ActionItemFilters": {
        "properties": {
          "completed": {
            "title": "Completed",
            "type": [
              "boolean",
              "null"
            ]
          },
          "archived": {
            "title": "Archived",
            "type": [
              "boolean",
              "null"
            ]
          },
          "ai_detected": {
            "title": "Ai Detected",
            "type": [
              "boolean",
              "null"
            ]
          },
          "ai_suggestion_accepted_by_user": {
            "title": "Ai Suggestion Accepted By User",
            "type": [
              "boolean",
              "null"
            ]
          },
          "scope": {
            "enum": [
              "assigned_to_me",
              "assigned_to_others",
              "all"
            ],
            "title": "Scope",
            "type": [
              "string",
              "null"
            ]
          }
        },
        "title": "ActionItemFilters",
        "type": "object"
      },
      "ActionItemIncludableExpensiveField": {
        "properties": {},
        "title": "ActionItemIncludableExpensiveField",
        "type": "object"
      },
      "ActionItemOrderBy": {
        "description": "Supported ordering options for action items.",
        "enum": [
          "created_at_desc",
          "created_at_asc",
          "due_date"
        ],
        "title": "ActionItemOrderBy",
        "type": "string"
      },
      "GetActionItemsRequest": {
        "description": "Request body for getting action items with optional filters and pagination.",
        "properties": {
          "pagination": {
            "allOf": [
              {
                "$ref": "#/components/schemas/PaginatedRequestParams",
                "nullable": true
              }
            ]
          },
          "include": {
            "allOf": [
              {
                "$ref": "#/components/schemas/ActionItemIncludableExpensiveField",
                "nullable": true
              }
            ]
          },
          "order_by": {
            "allOf": [
              {
                "$ref": "#/components/schemas/ActionItemOrderBy",
                "nullable": true
              }
            ],
            "description": "Sort order for action items. Valid values: 'created_at_desc' (default, newest first), 'created_at_asc' (oldest first), 'due_date' (soonest due date first, items without due dates appear last)"
          },
          "filters": {
            "allOf": [
              {
                "$ref": "#/components/schemas/ActionItemFilters",
                "nullable": true
              }
            ]
          }
        },
        "title": "GetActionItemsRequest",
        "type": "object"
      }
    },
    "securitySchemes": {
      "DeveloperAPIKeyAuth": {
        "type": "apiKey",
        "in": "header",
        "name": "X-API-KEY"
      }
    }
  },
  "servers": [
    {
      "url": "https://{subdomain}.fellow.app",
      "description": "Fellow",
      "variables": {
        "subdomain": {
          "default": "your-fellow-subdomain",
          "description": "The subdomain for your Fellow workspace"
        }
      }
    }
  ],
  "tags": [
    {
      "name": "Action Items",
      "description": "Access and manage action items from meetings. Retrieve, list, complete, or archive action items with optional filters and pagination."
    }
  ]
}
```